      PROGRAM VIBRAT
************************************************************************
* Program to print a table of points on the curve                      *
*               -x                                                     *
*          y = e  *  sin x                                             *
* Variables used are:                                                  *
*     X, Y          : coordinates of the point                         *
*     FIRSTX, LASTX : lower and upper limits on X                      *
*     DELTAX        : step size                                        *
*                                                                      *
* Input:  FIRSTX, LASTX, and DELTAX                                    *
* Output: Table of values of X and Y                                   *
************************************************************************

      REAL X, Y, FIRSTX, LASTX, DELTAX

      PRINT *, 'ENTER LOWER AND UPPER LIMITS ON X AND STEP SIZE'
      READ *, FIRSTX, LASTX, DELTAX
      PRINT *, '       X            Y'
      PRINT *, ' ==========================='
      DO 10 X = FIRSTX, LASTX, DELTAX
          Y = EXP(-X) * SIN(X)
          PRINT *, X, Y
10    CONTINUE
      END

